package gov.va.med.esr.service.external;


import java.util.Date;

/**
 *
 * @author DNS   zhangs
 * Date: September 2014
 *
 */

public class VHICCardDetailInfo extends ExternalComponent {

	/**
	 *
	 */

	private static final long serialVersionUID = 4739785124264130130L;

	private String cardStatus = null;
	private String cardNumber = null;
	private Date statusDate = null;
    private Date cardExpiredDate = null;
    private String reason = null;



	public String getCardStatus() {
		return cardStatus;
	}
	public void setCardStatus(String cardPrintStatus) {
		this.cardStatus = cardPrintStatus;
	}
	public String getCardNumber() {
		return cardNumber;
	}
	public void setCardNumber(String cardNumber) {
		this.cardNumber = cardNumber;
	}
	public Date getCardExpiredDate() {
		return cardExpiredDate;
	}
	public void setCardExpiredDate(Date cardExpiredDate) {
		this.cardExpiredDate = cardExpiredDate;
	}

	public String getReason() {
		return reason;
	}
	public void setReason(String reason) {
		this.reason = reason;
	}

	public Date getStatusDate() {
		return statusDate;
	}
	public void setStatusDate(Date statusDate) {
		this.statusDate = statusDate;
	}



}
